#include <stdio.h>
#include <assert.h>
#include "ufbx.h"

void print_intensity(ufbx_light *light)
{
    // `light->props` is shorthand for `light->element.props`
    ufbx_prop *prop = ufbx_find_prop(&light->props, "Intensity");
    assert(prop);

    printf("ufbx_light.intensity: %.2f\n", light->intensity);
    printf("ufbx_props.Intensity: %.2f\n", prop->value_real);
}

int main(int argc, char **argv)
{
    ufbx_scene *scene = ufbx_load_file("light.fbx", NULL, NULL);
    assert(scene);

    ufbx_node *node = ufbx_find_node(scene, "Light");
    assert(node);
    assert(node->light);

    print_intensity(node->light);

    return 0;
}
